adcli (0.9.2-1ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:23:00 +0100

adcli (0.9.2-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:09 +0200

adcli (0.9.2-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-ldap-conf-path.patch: fix ldap.conf path in the documentation
      [ This fix was embedded in a dropped patch ]
  * Dropped changes, included upstream:
    - d/p/autoconf-2.71-update.patch: update autoconf macros for 2.71
    - d/p/missing-null-checks.patch: upstream patch to address a
      coverity report on missing null checks
    - d/p/add-dont-expire-password-option.patch: allow one to set or
      unset the DONT_EXPIRE_PASSWORD flag in the userAccountControl
      attribute
    - d/p/fix-for-dont-expire-password-and-join.patch
    - Add passwd-user sub-command:
      + d/p/move-uac-defines.patch
      + d/p/add-entry_attrs-with-uac-attribute.patch
      + d/p/add-passwd-user-sub-command.patch
    - d/p/add-setattr-option.patch: new option to add a given LDAP
      attribute to the host object
    - d/p/add-delattr-option.patch: new option to remove the given
      LDAP attribute from the host object
    - d/p/fix-html-doc-generation.patch: fix html doc generation
    - d/p/doc-fix-typos-and-consistency.patch: small fixes to
      documentation

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Dec 2023 23:33:36 -0800

adcli (0.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1056600)
    - Drop d/p/0001-configure-check-for-ns_get16-and-ns_get32-as-well.patch:
      applied upstream
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 24 Nov 2023 15:32:13 +0100

adcli (0.9.1-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/fix-ldap-conf-path.patch: fix ldap.conf path in the documentation
      [ This fix was embedded in a dropped patch ]
    - d/p/autoconf-2.71-update.patch: update autoconf macros for 2.71
    - d/p/missing-null-checks.patch: upstream patch to address a
      coverity report on missing null checks
    - d/p/add-dont-expire-password-option.patch: allow one to set or
      unset the DONT_EXPIRE_PASSWORD flag in the userAccountControl
      attribute
    - d/p/fix-for-dont-expire-password-and-join.patch
    - Add passwd-user sub-command:
      + d/p/move-uac-defines.patch
      + d/p/add-entry_attrs-with-uac-attribute.patch
      + d/p/add-passwd-user-sub-command.patch
    - d/p/add-setattr-option.patch: new option to add a given LDAP
      attribute to the host object
    - d/p/add-delattr-option.patch: new option to remove the given
      LDAP attribute from the host object
    - d/p/fix-html-doc-generation.patch: fix html doc generation
    - d/p/doc-fix-typos-and-consistency.patch: small fixes to
      documentation
  * Dropped changes, included in Debian:
    - d/p/0013-configure-check-for-ns_get16-and-ns_get32-as-well.patch:
      Fix FTBFS with glibc 2.34 where 'res_query' has been moved into
      glibc but 'ns_get*' still require linking against libresolv.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 13:08:33 -0800

adcli (0.9.1-2) unstable; urgency=medium

  * d/p: Fix FTBFS with newer versions of glibc res_query() (Closes: #1017150)
  * debian/control: Bump Standards-Version to 4.6.1 (no further changes)
  * debian/copyright: Do not use square brackets for matching files

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Sep 2022 09:42:29 +0200

adcli (0.9.1-1ubuntu3) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:42:03 +0000

adcli (0.9.1-1ubuntu2) jammy; urgency=medium

  * Pull in git upstream fixes and enhancements (LP: #1946840):
    - d/p/autoconf-2.71-update.patch: update autoconf macros for 2.71
    - d/p/missing-null-checks.patch: upstream patch to address a
      coverity report on missing null checks
    - d/p/add-dont-expire-password-option.patch: allow one to set or
      unset the DONT_EXPIRE_PASSWORD flag in the userAccountControl
      attribute
    - d/p/fix-for-dont-expire-password-and-join.patch
    - Add passwd-user sub-command:
      + d/p/move-uac-defines.patch
      + d/p/add-entry_attrs-with-uac-attribute.patch
      + d/p/add-passwd-user-sub-command.patch
    - d/p/add-setattr-option.patch: new option to add a given LDAP
      attribute to the host object
    - d/p/add-delattr-option.patch: new option to remove the given
      LDAP attribute from the host object
    - d/p/fix-html-doc-generation.patch: fix html doc generation
    - d/p/doc-fix-typos-and-consistency.patch: small fixes to
      documentation

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 24 Feb 2022 16:04:00 -0300

adcli (0.9.1-1ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/0013-configure-check-for-ns_get16-and-ns_get32-as-well.patch:
      Fix FTBFS with glibc 2.34 where 'res_query' has been moved into
      glibc but 'ns_get*' still require linking against libresolv.
  * Added changes:
    - d/p/fix-ldap-conf-path.patch: fix ldap.conf path in the documentation
      [ This fix was embedded in a dropped patch ]
  * Dropped changes:
    - New features (LP: #1893784):
      - d/p/tools-add-show-computer-command.patch: add a show-computer
        command to print the LDAP attrs of the computer object
      - d/p/add-description-option-to-join-and-update.patch: allow setting
        an optional description on the computer account
      [ Included in upstream version 0.9.1 ]
    - Handle new Active Directory requirements from
      https://portal.msrc.microsoft.com/en-us/security-guidance/advisory/ADV190023
      (LP: #1868703):
      - d/p/Use-GSS-SPNEGO-if-available.patch: prefer GSS-SPNEGO over
        GSSAPI if available, as that can handle some of the more advanced
        features which can be required by an AD server
      - d/p/add-option-use-ldaps.patch: add option to use LDAPS, useful
        if for some reason the LDAP port is blocked.
      [ Included in upstream version 0.9.1 ]
    - Documentation fixes:
      - d/p/man-move-note-to-the-right-section.patch: move note about
        password lifetime to the update section
      - d/p/man-explain-optional-parameter-of-login-ccache-bette.patch,
        d/p/man-make-handling-of-optional-credential-cache-more-.patch:
        better explain the login-ccache and -C parameters
      - d/p/tools-fix-typo-in-show-password-help-output.patch: typo fix
      [ Included in upstream version 0.9.1 ]
    - d/p/discovery-fix.patch: do not continue processing on a closed
      connection
      [ Included in upstream version 0.9.1 ]
    - d/p/delete-do-not-exit-if-keytab-cannot-be-read.patch: fix computer
      deletion when keytab cannot be read
      [ Included in upstream version 0.9.1 ]
    - d/p/tools-disable-SSSD-s-locator-plugin.patch: ignore MIT's locator
      plugin to avoid conflicts if it returns a different DC than the one
      used for the LDAP connection
      [ Included in upstream version 0.9.1 ]
    - Fixup "use-ldaps" option to add missing subcommands, as a part of
      enabling support for new active directory requirement ADV190023
      (LP #1868703):
      + d/p/lp1868703-tools-add-missing-use-ldaps-option-to-update-and-testjoin.patch
      [ Included in upstream version 0.9.1 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 17 Aug 2021 10:14:27 -0300

adcli (0.9.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Laurent Bigonville ]
  * New upstream version 0.9.1

 -- Laurent Bigonville <bigon@debian.org>  Mon, 16 Aug 2021 14:40:09 +0200

adcli (0.9.0-1ubuntu4) impish; urgency=medium

  * d/p/configure-check-for-ns_get16-and-ns_get32-as-well.patch:
    Fix FTBFS with glibc 2.34 where 'res_query' has been moved into
    glibc but 'ns_get*' still require linking against libresolv.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 09 Aug 2021 18:09:42 -0400

adcli (0.9.0-1ubuntu3) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:43:33 -0400

adcli (0.9.0-1ubuntu2) hirsute; urgency=medium

  * Fixup "use-ldaps" option to add missing subcommands, as a part of
    enabling support for new active directory requirement ADV190023
    (LP: #1868703):
    - d/p/lp1868703-tools-add-missing-use-ldaps-option-to-update-and-testjoin.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Tue, 10 Nov 2020 15:47:22 +1300

adcli (0.9.0-1ubuntu1) groovy; urgency=medium

  * New features (LP: #1893784):
    - d/p/tools-add-show-computer-command.patch: add a show-computer
      command to print the LDAP attrs of the computer object
    - d/p/add-description-option-to-join-and-update.patch: allow setting
      an optional description on the computer account
  * Handle new Active Directory requirements from
    https://portal.msrc.microsoft.com/en-us/security-guidance/advisory/ADV190023
    (LP: #1868703):
    - d/p/Use-GSS-SPNEGO-if-available.patch: prefer GSS-SPNEGO over
      GSSAPI if available, as that can handle some of the more advanced
      features which can be required by an AD server
    - d/p/add-option-use-ldaps.patch: add option to use LDAPS, useful
      if for some reason the LDAP port is blocked.
  * Documentation fixes:
    - d/p/man-move-note-to-the-right-section.patch: move note about
      password lifetime to the update section
    - d/p/man-explain-optional-parameter-of-login-ccache-bette.patch,
      d/p/man-make-handling-of-optional-credential-cache-more-.patch:
      better explain the login-ccache and -C parameters
    - d/p/tools-fix-typo-in-show-password-help-output.patch: typo fix
  * Other fixes:
    - d/p/discovery-fix.patch: do not continue processing on a closed
      connection
    - d/p/delete-do-not-exit-if-keytab-cannot-be-read.patch: fix computer
      deletion when keytab cannot be read
    - d/p/tools-disable-SSSD-s-locator-plugin.patch: ignore MIT's locator
      plugin to avoid conflicts if it returns a different DC than the one
      used for the LDAP connection

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 02 Sep 2020 09:50:18 -0300

adcli (0.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #941583)
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12
  * debian/control: Update the Vcs-* fields
  * debian/watch: Update the URL and point to fdo gitlab

 -- Laurent Bigonville <bigon@debian.org>  Wed, 02 Oct 2019 17:07:10 +0200

adcli (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch, debian/upstream/signing-key.asc: Verify the upstream
    signature and bump the compatibily version to 4
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Use https:// instead of http://

 -- Laurent Bigonville <bigon@debian.org>  Mon, 15 Aug 2016 12:54:23 +0200

adcli (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Apr 2016 16:42:53 +0300

adcli (0.7.6-1) unstable; urgency=medium

  * Imported Upstream version 0.7.6
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 25 Nov 2015 16:44:19 +0100

adcli (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2013 18:32:38 +0100

adcli (0.7.3-1) unstable; urgency=low

  * New upstream release.
    - Drop d/p/01-Fix-FTBFS-on-freebsd-kernel.patch, applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Sun, 18 Aug 2013 19:10:29 +0200

adcli (0.7.1-2) unstable; urgency=low

  * debian/copyright: library/test.h is also under BSD-3-clause licence
  * debian/control: Fix typo, s/domaine/domain/ (Closes: #714897)
  * debian/patches/01-Fix-FTBFS-on-freebsd-kernel.patch: Fix FTBFS on
    kfreebsd-*

 -- Laurent Bigonville <bigon@debian.org>  Fri, 19 Jul 2013 23:48:27 +0200

adcli (0.7.1-1) unstable; urgency=low

  * Initial release (Closes: #712233)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 30 Jun 2013 19:00:48 +0200

